Package org.eclipse.ecf.filetransfer

# Interface IRemoteFileAttributes

All Known Implementing Classes:
  `LocalRemoteFileAttributes`, `URLRemoteFileAttributes`

public interface IRemoteFileAttributes
Remote file attributes. These attributes represent characteristics of remote files (e.g. read only, writeable, executable, archive, etc.).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ARCHIVE_ATTRIBUTE`
`static final String`
`EXEC_ATTRIBUTE`
`static final String`
`HIDDEN_ATTRIBUTE`
`static final String`
`READ_ATTRIBUTE`
`static final String`
`SYMLINK_ATTRIBUTE`
`static final String`
`SYMLINK_TARGET_ATTRIBUTE`
`static final String`
`WRITE_ATTRIBUTE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String key)`
Get file attribute with given key.
`Iterator`
`getAttributeKeys()`
Get all of the attribute keys in this map of file attributes.
`void`
`setAttribute(String key, String value)`
Set a given attribute value in this remote file attributes.

## Field Details

### READ_ATTRIBUTE

static final String READ_ATTRIBUTE

See Also:
  - Constant Field Values

### WRITE_ATTRIBUTE

static final String WRITE_ATTRIBUTE

See Also:
  - Constant Field Values

### EXEC_ATTRIBUTE

static final String EXEC_ATTRIBUTE

See Also:
  - Constant Field Values

### ARCHIVE_ATTRIBUTE

static final String ARCHIVE_ATTRIBUTE

See Also:
  - Constant Field Values

### HIDDEN_ATTRIBUTE

static final String HIDDEN_ATTRIBUTE

See Also:
  - Constant Field Values

### SYMLINK_ATTRIBUTE

static final String SYMLINK_ATTRIBUTE

See Also:
  - Constant Field Values

### SYMLINK_TARGET_ATTRIBUTE

static final String SYMLINK_TARGET_ATTRIBUTE

See Also:
  - Constant Field Values

## Method Details

### getAttribute

String getAttribute(String key)
Get file attribute with given key. Returns `null` if attribute not in this map of attributes.

Parameters:
  `key` - to use to find the given attribute. Must not be `null`.
Returns:
  value of attribute. `null` if not found.

### getAttributeKeys

Iterator getAttributeKeys()
Get all of the attribute keys in this map of file attributes.

Returns:
  Iterator of the attribute keys for this map. Will not return `null`.

### setAttribute

void setAttribute(String key, String value)
Set a given attribute value in this remote file attributes.

Parameters:
  `key` - the key to use for the attribute. Must not be `null`.
  `value` - the value for the given key. Must not be `null`.